"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TDefaultBlockRenderer = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _TChildrenRendererContext = require("./context/TChildrenRendererContext");

var _GenericPressable = _interopRequireDefault(require("./GenericPressable"));

var _useAssembledCommonProps = _interopRequireDefault(require("./hooks/useAssembledCommonProps"));

var _getNativePropsForTNode = _interopRequireDefault(require("./helpers/getNativePropsForTNode"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TDefaultBlockRenderer = ({
  children: overridingChildren,
  ...props
}) => {
  const TNodeChildrenRenderer = (0, _TChildrenRendererContext.useTNodeChildrenRenderer)();
  const children = overridingChildren !== null && overridingChildren !== void 0 ? overridingChildren : /*#__PURE__*/_react.default.createElement(TNodeChildrenRenderer, {
    tnode: props.tnode,
    propsForChildren: props.propsForChildren
  });
  const nativeProps = (0, _getNativePropsForTNode.default)(props);

  if (typeof nativeProps.onPress === 'function') {
    return /*#__PURE__*/_react.default.createElement(_GenericPressable.default, nativeProps, children);
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, nativeProps, children);
};

exports.TDefaultBlockRenderer = TDefaultBlockRenderer;

const TBlockRenderer = props => {
  const {
    assembledProps,
    Renderer
  } = (0, _useAssembledCommonProps.default)(props, TDefaultBlockRenderer);
  return /*#__PURE__*/_react.default.createElement(Renderer, assembledProps);
};

var _default = TBlockRenderer;
exports.default = _default;
//# sourceMappingURL=TBlockRenderer.js.map