"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TTextRenderer;
exports.TDefaultTextRenderer = void 0;

var _react = _interopRequireDefault(require("react"));

var _RenderRegistryProvider = require("./context/RenderRegistryProvider");

var _useAssembledCommonProps = _interopRequireDefault(require("./hooks/useAssembledCommonProps"));

var _renderTextualContent = _interopRequireDefault(require("./renderTextualContent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TDefaultTextRenderer = ({
  children,
  ...props
}) => {
  const {
    tnode
  } = props;
  return (0, _renderTextualContent.default)(props, children !== null && children !== void 0 ? children : tnode.data);
};

exports.TDefaultTextRenderer = TDefaultTextRenderer;

function TStandardTextRenderer(props) {
  const {
    assembledProps,
    Renderer
  } = (0, _useAssembledCommonProps.default)(props, TDefaultTextRenderer);
  return /*#__PURE__*/_react.default.createElement(Renderer, assembledProps);
}

function TTextRenderer(props) {
  const InternalTextRenderer = (0, _RenderRegistryProvider.useInternalTextRenderer)(props.tnode);

  if (InternalTextRenderer) {
    return /*#__PURE__*/_react.default.createElement(InternalTextRenderer, props);
  } // If ghost line prevention is enabled and the text data is empty, render
  // nothing to avoid React Native painting a 20px height line.
  // See also https://git.io/JErwX


  if (props.tnode.data === '' && props.sharedProps.enableExperimentalGhostLinesPrevention) {
    return null;
  }

  return /*#__PURE__*/_react.default.createElement(TStandardTextRenderer, props);
}
//# sourceMappingURL=TTextRenderer.js.map