import { ReactElement } from 'react';
import { TNode } from '@native-html/transient-render-engine';
import { TChildrenRendererProps } from './shared-types';
/**
 * Compute top collapsed margin for the nth {@link TNode}-child of a list of
 * TNodes.
 *
 * @param n - The index for which the top margin should be collapsed.
 * @param tchildren - The list of {@link TNode} children.
 * @returns `null` when no margin collapsing should apply, a number otherwise.
 * @public
 */
export declare function collapseTopMarginForChild(n: number, tchildren: readonly TNode[]): number | null;
/**
 * A component to render collections of tnodes.
 * Especially useful when used with {@link useTNodeChildrenProps}.
 */
declare function TChildrenRenderer({ tchildren, propsForChildren, disableMarginCollapsing, renderChild }: TChildrenRendererProps): ReactElement;
declare namespace TChildrenRenderer {
    var defaultProps: Pick<TChildrenRendererProps, "propsForChildren">;
}
export declare const tchildrenRendererDefaultProps: Pick<TChildrenRendererProps, 'propsForChildren'>;
export default TChildrenRenderer;
