import { TBlock, TPhrasing, TText } from '@native-html/transient-render-engine';
import { TextProps, ViewProps } from 'react-native';
import { TDefaultRendererProps } from '../shared-types';
/**
 * Extract React Native props for a given {@link TNode}. Native props target
 * either `Text` or `View` elements, with an optional `onPress` prop for
 * interactive elements.
 *
 * @public
 */
export default function getNativePropsForTNode<T extends TPhrasing | TText | TBlock>(props: TDefaultRendererProps<T>): T extends TBlock ? ViewProps & {
    onPress?: () => void;
} : TextProps;
